package com.ruoyi.bst.driver.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.driver.domain.Driver;
import com.ruoyi.bst.driver.domain.DriverQuery;
import com.ruoyi.bst.driver.domain.DriverVO;

/**
 * 驾驶证认证Mapper接口
 *
 * @author ruoyi
 * @date 2025-06-03
 */
public interface DriverMapper
{
    /**
     * 查询驾驶证认证
     *
     * @param id 驾驶证认证主键
     * @return 驾驶证认证
     */
    DriverVO selectDriverById(Long id);

    /**
     * 查询驾驶证认证列表
     *
     * @param query 驾驶证认证
     * @return 驾驶证认证集合
     */
    List<DriverVO> selectDriverList(@Param("query")DriverQuery query);

    /**
     * 新增驾驶证认证
     *
     * @param driver 驾驶证认证
     * @return 结果
     */
    int insertDriver(Driver driver);

    /**
     * 批量新增驾驶证认证
     */
    int batchInsert(@Param("list") List<? extends Driver> list);

    /**
     * 批量修改驾驶证认证
     */
    int batchUpdate(@Param("list") List<? extends Driver> list);

    /**
     * 修改驾驶证认证
     *
     * @param driver 驾驶证认证
     * @return 结果
     */
    public int updateDriver(@Param("data") Driver driver);

    /**
     * 删除驾驶证认证
     *
     * @param id 驾驶证认证主键
     * @return 结果
     */
    int deleteDriverById(Long id);

    /**
     * 批量删除驾驶证认证
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDriverByIds(Long[] ids);

    /**
     * 根据条件更新驾驶证认证
     * @param data
     * @param query
     * @return
     */
    int updateByQuery(@Param("data") Driver data, @Param("query") DriverQuery query);
}
